import { describe, it, expect } from "vitest";
import { reEncode } from "./index";
const testCases = [["ÀÚ", "자", "windows-1252", "euc-kr"]];
describe("encode/decode test ", function () {
    testCases.forEach(
    /**
     *
     * @param testCase
     */
    function (testCase) {
        const [rawText, encodedText, startEncoding, endEncoding] = testCase;
        it(`${startEncoding} -> ${endEncoding}`, function () {
            const encoded = reEncode(rawText, startEncoding, endEncoding);
            expect(encoded.localeCompare(encodedText) === 0).toBeTruthy();
        });
    });
});
